This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 835687 - Upgrade postgres driver to v9.1-902.jdbc4
Upgrade postgres driver to v9.1-902.jdbc4
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server, Core UI (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 16:24 EDT by krzykwas
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:03:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description krzykwas 2012-06-26 16:24:36 EDT
Description of problem:
   RHQ does not work with Postgres 9.1.4 in the default configuration. When trying to log on to the RHQ at http://127.0.0.1:7080, I got an error related to connecting to the database which finally boiled down to an exception: „column index out of range: 2, column count: 1”.
   When I upgraded the postgres driver from 
postgresql-9.1-901.jdbc4.jar to postgresql-9.1-902.jdbc4.jar, the problems were gone.

Version-Release number of selected component (if applicable):
   RHQ version: 4.5.0, though it probably affects also older versions.

Steps to Reproduce:
1. Start an RHQ server.
2. Try to log on with default credentials rhqadmin/rhqadmin.
3. The logging is unsuccessful and a stack trace appears in the log file.
  
Actual results:
You cannot log on.

Expected results:
You are logged on and can modify rhq settings.

Additional info:
Updating the driver seems to fix: https://bugzilla.redhat.com/show_bug.cgi?id=741855
Comment 1 Ian Springer 2012-06-26 16:36:33 EDT
Done in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=aa77d7e
Comment 3 Heiko W. Rupp 2013-09-01 06:03:06 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.